# Class CIM_NetworkPortCapabilities
extends CIM_LogicalPortCapabilities

NetworkPortCapabilities describes the capabilities supported for properties that are configurable in NetworkPort.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_LogicalPortCapabilities
|
+--CIM_NetworkPortCapabilities

## Direct Known Subclasses

CIM_WiFiPortCapabilities

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | NetworkPortCapabilities describes the capabilities supported for properties that are configurable in NetworkPort.
UMLPackagePath | string | CIM::Device::Ports
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
NetworkIDsConfigurable | boolean |
Description | string | Boolean indicating whether the NetworkPort can be configured to connect to specific Networks.
NetworkIDsFormat | uint16 |
Description | string | The format that is expected to populate the NetworkIds for the associated NetworkPortSettings.list of supported LinkTechnologies of the NetworkPort is defined in the NetworkPortCapabilities.
ValueMap | string | 2, .., 32768..65535
Values | string | Virtual Fabric ID, DMTF Reserved, Vendor Reserved
SpeedConfigurable | boolean | false
Description | string | Boolean that indicates whether the Speed can be configured.
ModelCorrespondence | string | CIM_NetworkPortCapabilities.PortSpeedsSupported
LinkTechnologiesSupported | uint16[] |
Description | string | List of the LinkTechnologies supported by the the NetworkPort.
ModelCorrespondence | string | CIM_NetworkPort.LinkTechnology
ValueMap | string | 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, ..
Values | string | Ethernet, IB, FC, FDDI, ATM, Token Ring, Frame Relay, Infrared, BlueTooth, Wireless LAN, DMTF Reserved
PortSpeedsSupported | uint64[] |
Description | string | List of supported port speeds that can be configured on NetworkPort.Speed.
ModelCorrespondence | string | CIM_NetworkPort.Speed

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AutoSenseSpeedConfigurable | boolean | CIM_LogicalPortCapabilities
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedSpeedsSupported | uint64[] | CIM_LogicalPortCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods